Package org.gradle.plugins.ide.idea.model

## Class Workspace

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.idea.model.Workspace

- All Implemented Interfaces:
    `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

      public class Workspace
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Workspace​(org.gradle.internal.xml.XmlTransformer withXmlActions)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getDefaultResourceName()` |
    `protected void` | `load​(Node xml)` |
    `protected void` | `store​(Node xml)` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Workspace

          public Workspace​(org.gradle.internal.xml.XmlTransformer withXmlActions)

  - ### Method Detail

    - #### getDefaultResourceName

          protected java.lang.String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### load

          protected void load​(Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### store

          protected void store​(Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`